Servercommunity Foren-Übersicht Servercommunity
Das informative Forum für Fragen rund um Server
 
 FAQFAQ   SuchenSuchen   MitgliederlisteMitgliederliste   BenutzergruppenBenutzergruppen   RegistrierenRegistrieren 
 ProfilProfil   Einloggen, um private Nachrichten zu lesenEinloggen, um private Nachrichten zu lesen   LoginLogin 

php4 / php5 ???

 
Neues Thema eröffnen   Neue Antwort erstellen    Servercommunity Foren-Übersicht -> Webserver
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
dl7awl



Anmeldedatum: 22.06.2003
Beiträge: 536
Wohnort: Berlin/Nackel

BeitragVerfasst am: Di Mai 16, 2006 07:49    Titel: php4 / php5 ??? Antworten mit Zitat

Moin,

kann mir jemand ganz grob den Unterschied zwischen php4 und php5 erklären? Ich dachte bisher, dass derzeit (noch) keine zwingende Notwendigkeit besteht, auf php5 umzusteigen, weil auch php4 noch weiter gepflegt wird (ähnlich wie bei Apache 1.3x und 2.x).

Aber nun meint ein Kunde, er brauche für ein Projekt unbedingt php5. Ich habe von php zu wenig Ahnung und kann das nicht einschätzen. Was gibt es denn für grundlegende Dinge, die man nur mit php5, aber nicht mit php4 machen kann?

Und: könnte eine etwaige Umstellung auf php5 andere Probleme mit sich bringen (etwa mit Confixx oder anderen php-Anwendungen oder mit Apache 1.3x), bzw. würde php5 bei Kunden, die bisher mit php4 glücklich sind, Änderungen an ihren Scripten erfordern?

Gruß, Manfred
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Bierhasser



Anmeldedatum: 09.03.2004
Beiträge: 44
Wohnort: Schwabenland

BeitragVerfasst am: Mi Mai 17, 2006 03:11    Titel: Antworten mit Zitat

Php5 kann z.b. mysqli, Sqlite was mit php4 nicht ohne weiteres funktioniert. Neuerungen gab es auch beim objektorientierten Programieren.
Confixx hatte ich noch nicht mit Php5 getestet, kann aber sagen das man nicht ohne weiteres von php4 auf php5 umstellen kann. Habe selbst einige Kunden deren Webanwenungen nicht mit Php5 funktionieren. Nun hab ich nicht die Zeit und Lust mich durch deren Code zu quälen um die Anwendungen php5 fähig zu machen.
Daher hab ich php4 wie gewohnt mittels mod_php eingebunden und php5 mit Suphp realisiert. Neukunden bekommen gleich php5 und Altkunden können auswählen ob sie php4 oder php5 wünschen.
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Monty
Dunkler Gebieter


Anmeldedatum: 21.06.2003
Beiträge: 670
Wohnort: Asperg

BeitragVerfasst am: Do Mai 25, 2006 07:35    Titel: Antworten mit Zitat

Bierhasser hat Folgendes geschrieben:
Php5 kann z.b. mysqli, Sqlite was mit php4 nicht ohne weiteres funktioniert.

Naja, sqlite wird auch von php4 voll unterstützt.
php5 braucht man dann, wenn man etwas striktere Unterstützung von Objekten haben möchte. Gute Doku: http://www.php.net/manual/de/language.oop5.php (im Unterschied zu Oop in PHP4: http://www.php.net/manual/de/language.oop.php).

monty Monty
_________________
Gewalt ist die letzte Zuflucht der Unfähigen - Salvor Hardin
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Beiträge der letzten Zeit anzeigen:   
Neues Thema eröffnen   Neue Antwort erstellen    Servercommunity Foren-Übersicht -> Webserver Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehe zu:  
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.



Powered by phpBB © 2001, 2005 phpBB Group
Deutsche Übersetzung von phpBB.de